Package org.eclipse.mat.ui

# Class SnapshotHistoryService

java.lang.Object
org.eclipse.mat.ui.SnapshotHistoryService

public class SnapshotHistoryService extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SnapshotHistoryService.Entry`
`static interface`
`SnapshotHistoryService.IChangeListener`

## Method Summary

Modifier and Type
Method
Description
`void`
`addChangeListener(SnapshotHistoryService.IChangeListener listener)`
`void`
`addVisitedPath(String editorId, String path)`
`void`
`addVisitedPath(String editorId, String path, Serializable info)`
`static SnapshotHistoryService`
`getInstance()`
`List<SnapshotHistoryService.Entry>`
`getVisitedEntries()`
`void`
`removeChangeListener(SnapshotHistoryService.IChangeListener listener)`
`void`
`removePath(IPath path)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static SnapshotHistoryService getInstance()

### addVisitedPath

public void addVisitedPath(String editorId, String path, Serializable info)

### addVisitedPath

public void addVisitedPath(String editorId, String path)

### removePath

public void removePath(IPath path)

### getVisitedEntries

public List<SnapshotHistoryService.Entry> getVisitedEntries()

### addChangeListener

public void addChangeListener(SnapshotHistoryService.IChangeListener listener)

### removeChangeListener

public void removeChangeListener(SnapshotHistoryService.IChangeListener listener)